SchoolsSchoolid

Update school fields (internal only)

Update a school's editable NCES/location/financial fields. **Internal/admin only** (requires the `internal` plan); other orgs receive 403. **Free (0 credits).**

PATCH
/schools/{schoolId}

Update a school's editable NCES/location/financial fields. Internal/admin only (requires the internal plan); other orgs receive 403. Free (0 credits).

AuthorizationBearer <token>

API key (sk_live_... prefix). Generate keys in the UI under Settings > API Keys, then send it as Authorization: Bearer sk_live_...

In: header

Path Parameters

schoolId*string
Formatuuid

Request Body

application/json

name?string
website_url?|
grade_levels?|
student_count?|
nces_id?|
locale_type?|
school_type?|
phone?|
county?|
physical_address?|
physical_city?|
physical_state?|
physical_zip?|
mailing_address?|
mailing_city?|
mailing_state?|
mailing_zip?|
student_teacher_ratio?|

Response Body

application/json

application/json

curl -X PATCH "https://loading/api/v1/schools/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "district_id": "550e8400-e29b-41d4-a716-446655440000",
  "nces_id": "string",
  "name": "string",
  "state": "string",
  "website_url": "string",
  "student_count": -9007199254740991,
  "grade_levels": "string",
  "state_school_id": "string",
  "school_type": "string",
  "locale_type": "string",
  "nces_data_year": "string",
  "teachers_fte": 0,
  "student_teacher_ratio": 0,
  "physical_address": "string",
  "physical_city": "string",
  "physical_state": "string",
  "physical_zip": "string",
  "mailing_address": "string",
  "mailing_city": "string",
  "mailing_state": "string",
  "mailing_zip": "string",
  "phone": "string",
  "county": "string",
  "latitude": 0,
  "longitude": 0,
  "ai_summary": "string",
  "executive_summary": "string",
  "timeline": [
    null
  ],
  "summary_generated_at": "string",
  "key_facts": {
    "property1": null,
    "property2": null
  },
  "ai_policy_summary": "string",
  "technology_level": "string",
  "ai_initiatives": [
    null
  ],
  "edtech_products": [
    null
  ],
  "source": "string",
  "source_url": "string",
  "status": "pending",
  "website_mapped_at": "string",
  "content_fetched_at": "string",
  "content_extracted_at": "string",
  "last_analysis_job_id": "550e8400-e29b-41d4-a716-446655440000",
  "crawled_at": "string",
  "error_message": "string",
  "retry_count": -9007199254740991,
  "notes": "string",
  "last_updated_at": "string",
  "created_at": "string",
  "_access": {
    "is_unlocked": true,
    "is_unlocking": true,
    "unlocked_at": "string",
    "credits_spent": 0,
    "unlock_cost": 0
  },
  "assessment_summary": {
    "source_id": "string",
    "state": "string",
    "school_year": -9007199254740991,
    "data_quality": "complete",
    "subjects_available": [
      "string"
    ],
    "metrics": {
      "ela": {
        "proficiency_pct": 0,
        "tested_count": 0,
        "participation_rate": 0,
        "state_proficiency_pct": 0,
        "vs_state_pp": 0
      },
      "math": {
        "proficiency_pct": 0,
        "tested_count": 0,
        "participation_rate": 0,
        "state_proficiency_pct": 0,
        "vs_state_pp": 0
      },
      "science": {
        "proficiency_pct": 0,
        "tested_count": 0,
        "participation_rate": 0,
        "state_proficiency_pct": 0,
        "vs_state_pp": 0
      }
    },
    "grade_summary": {
      "property1": null,
      "property2": null
    },
    "source_manifest_uri": "string",
    "canonical_artifact_uri": "string",
    "coverage": {
      "source_id": "string",
      "source_name": "string",
      "publication_status": "string",
      "published_at": "string",
      "canonical_artifact_uri": "string",
      "canonical_artifact_format": "string",
      "manifest_uri": "string",
      "quality_summary": {
        "property1": null,
        "property2": null
      }
    },
    "comparability_warning": "string"
  },
  "assessment_grade_rows": [
    {
      "id": "string",
      "source_id": "string",
      "state": "string",
      "school_year": -9007199254740991,
      "grade": "string",
      "subject": "string",
      "student_group_type": "string",
      "student_group": "string",
      "student_group_id": "string",
      "enrolled_count": 0,
      "tested_count": 0,
      "tested_with_scores_count": 0,
      "proficiency_count": 0,
      "proficiency_pct": 0,
      "participation_rate": 0,
      "mean_scale_score": 0,
      "data_quality": "complete",
      "suppression_code": "string"
    }
  ],
  "assessment_state_rows": [
    {
      "source_id": "string",
      "state": "string",
      "school_year": -9007199254740991,
      "grade": "string",
      "subject": "string",
      "student_group_type": "string",
      "student_group": "string",
      "student_group_id": "string",
      "enrolled_count": 0,
      "tested_count": 0,
      "tested_with_scores_count": 0,
      "proficiency_count": 0,
      "proficiency_pct": 0,
      "participation_rate": 0,
      "mean_scale_score": 0,
      "data_quality": "complete",
      "suppression_code": "string"
    }
  ]
}
Empty
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}
Empty
Empty